use rand::prelude::*;
use rand::{thread_rng, Rng};
use Xorfilter::*;

fn main() {

    let mut rng = thread_rng();
    
    const SIZE: usize = 10000;
    let mut keys = [0; SIZE];

    for i in 0..SIZE {
        keys[i] = splitmix64(rng.gen::<u64>());
    }

    dbg!(keys);
    let x: XorFilter<u64, SIZE> = XorFilter::new(keys);

    for i in 0..SIZE {
        println!("{}", x.contains(keys[i]));
    }
}
